Package ru.bitel.bgbilling.kernel.event.events

# Class ValidateTextParamEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ValidateTextParamEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ValidateTextParamEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие передается в скрипт валиадации текстового параметра договора. Если скрипт установит поле error в какое-либо значение, система выдаст данное сообщение и параметр не будет изменен.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValidateTextParamEvent()`
  ``
  `ValidateTextParamEvent(int contractId, int parameterId, String value)`
  ``
  `ValidateTextParamEvent(int contractId, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getError()`
  `int`
  `getParameterId()`
  `String`
  `getValue()`
  `void`
  `setError(String error)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidateTextParamEvent

    protected ValidateTextParamEvent()

  - ### ValidateTextParamEvent

    public ValidateTextParamEvent(int contractId, String value)

  - ### ValidateTextParamEvent

    public ValidateTextParamEvent(int contractId, int parameterId, String value)

- ## Method Details

  - ### getParameterId

    public int getParameterId()

  - ### getError

    public String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError(String error)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getValue

    public String getValue()